Timbrify
API ReferenceConsumer Suite
POST
/api/v1/consumer/suite/invoices

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X post "https://api.timbrify.com/api/v1/consumer/suite/invoices" \  -H "Content-Type: application/json" \  -d '{    "issuerId": "d481fa31-74f9-4e8d-98ce-a395773acfa0",    "receiverRfc": "stringstring",    "receiverName": "string",    "receiverFiscalRegime": "string",    "receiverZipCode": "string",    "items": [      {        "description": "string",        "quantity": 0,        "unitPrice": 0,        "amount": 0      }    ]  }'
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "status": "PENDING",
    "message": "string",
    "createdAt": "string"
  }
}
{
  "error": "string",
  "message": "string",
  "details": null
}
{
  "error": "string",
  "message": "string",
  "details": null
}
{
  "error": "NOT_FOUND",
  "message": "string"
}